List calendar meetings
Provider-verified meetings, most recent first, up to 100. Filter by campaign.
GET
https://app.trygtm.com/api/v1/calendar-meetings- Scope
read- MCP tool
- list_calendar_meetings
Query parameters
campaign_idstringoptional- Only meetings attributed to this campaign.
Request
curl https://app.trygtm.com/api/v1/calendar-meetings \
-H "Authorization: Bearer $TRYGTM_API_KEY"Response
{
"data": [
{
"id": "0a1b2c3d-4e5f-4a6b-8c7d-8e9f0a1b2c3d",
"connector_account_id": "f7a8b9c0-d1e2-4f3a-8b4c-5d6e7f809102",
"contact_id": "8f2a91c4-6d1e-4c0a-9a57-2f3b1c7e9d10",
"campaign_id": "3b7f0c52-91aa-4e0d-8c11-5a2d6e4f7b90",
"status": "booked",
"starts_at": "2026-09-23T15:00:00.000Z",
"ends_at": "2026-09-23T15:30:00.000Z",
"join_url": "https://meet.example/abc",
"verified_at": "2026-09-18T09:45:00.000Z"
}
]
}